:root {
    --bg-color: #f6f6e6;
    --text-color: #0A223D;
    --accent-color: #a12e2c;
    --gray-color: #d0d7e0;
}

body {
    font-family: 'Inter', system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', sans-serif;
    background-color: var(--bg-color);
    color: var(--text-color);
    margin: 0;
    padding: 0;
}

a {
    color: var(--accent-color);
}

header {
    background-image: url('/img/logo.svg');
    background-repeat: no-repeat;
    background-size: auto 75%;
    background-position: 45% 20%;
    height: 25vh;
    max-height: 25vw;
    min-height: 250px;
    display: flex;
    align-items: end;
}

header h1 {  
    background-image: url('/img/claim.png');
    background-repeat: no-repeat;
    background-size: contain;
    background-position: 55% bottom;
    text-indent: -9999px;
    overflow: hidden;
    margin: 0 5%;
    height: 50%;
    width: 100%;
}

main {
    padding: 1rem 0;
}

section {
    padding: 1rem;
}

video {
    max-width: 100%;
    max-height: 100vh;
}

#description {
    line-height: 1.3;
    padding: 0 2rem;
}

#videos {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

#videos video {
    margin-bottom: 1rem;
}

footer {
    padding: 1rem 0 2rem;
}

#social-links {
    display: flex;
    gap: 1rem;
    justify-content: center;
    align-items: center;
}

#social-links a {
    font-size: 1.5rem;
    display: block;
    text-align: center;
    text-decoration: none;
}

#social-links i {
    font-size: 2rem;
    line-height: 1.3;
    display: block;
}


@media (prefers-color-scheme: dark) {
    :root {
        --bg-color: #0A223D;
        --text-color: #f6f6e6;
        --accent-color: #fad01c;
        --gray-color:  #4f5f7a;
    }
}

@media (min-width: 1024px) {
    main {
        display: grid;
        gap: 1rem;
        grid-template-columns: 45% auto;
    }
    #videos video {
        width: 15vw;
        margin-right: 1rem;
    }
}
